Package org.apache.axiom.util.stax.wrapper

## Class XMLOutputFactoryWrapper

- java.lang.Object
- - javax.xml.stream.XMLOutputFactory
  - - org.apache.axiom.util.stax.wrapper.XMLOutputFactoryWrapper

- Direct Known Subclasses:
    `ImmutableXMLOutputFactory`, `WrappingXMLOutputFactory`

      public class XMLOutputFactoryWrapper
      extends XMLOutputFactory

  Base class for `XMLOutputFactory` wrappers. The class provides default implementations for all methods. Each of them calls the corresponding method in the parent factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLOutputFactory

      `IS_REPAIRING_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLOutputFactoryWrapper​(XMLOutputFactory parent)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XMLEventWriter` | `createXMLEventWriter​(OutputStream stream)` |
    `XMLEventWriter` | `createXMLEventWriter​(OutputStream stream, String encoding)` |
    `XMLEventWriter` | `createXMLEventWriter​(Writer stream)` |
    `XMLEventWriter` | `createXMLEventWriter​(Result result)` |
    `XMLStreamWriter` | `createXMLStreamWriter​(OutputStream stream)` |
    `XMLStreamWriter` | `createXMLStreamWriter​(OutputStream stream, String encoding)` |
    `XMLStreamWriter` | `createXMLStreamWriter​(Writer stream)` |
    `XMLStreamWriter` | `createXMLStreamWriter​(Result result)` |
    `Object` | `getProperty​(String name)` |
    `boolean` | `isPropertySupported​(String name)` |
    `void` | `setProperty​(String name, Object value)` |

    - ### Methods inherited from class javax.xml.stream.XMLOutputFactory

      `newDefaultFactory, newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLOutputFactoryWrapper

          public XMLOutputFactoryWrapper​(XMLOutputFactory parent)

      Constructor.
      Parameters:
        `parent` - the parent factory

  - ### Method Detail

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter​(OutputStream stream,
                                                     String encoding)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter​(OutputStream stream)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter​(Result result)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter​(Writer stream)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter​(OutputStream stream,
                                                       String encoding)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter​(OutputStream stream)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter​(Result result)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter​(Writer stream)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### getProperty

          public Object getProperty​(String name)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in class `XMLOutputFactory`
      Throws:
        `IllegalArgumentException`

    - #### isPropertySupported

          public boolean isPropertySupported​(String name)

      Specified by:
        `isPropertySupported` in class `XMLOutputFactory`

    - #### setProperty

          public void setProperty​(String name,
                                  Object value)
                           throws IllegalArgumentException

      Specified by:
        `setProperty` in class `XMLOutputFactory`
      Throws:
        `IllegalArgumentException`